| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs
OgreZip.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreArchive.h"`
`#include "OgreArchiveFactory.h"`
`#include "OgreHeaderPrefix.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::EmbeddedZipArchiveFactory
| Specialisation of ZipArchiveFactory for embedded Zip files. More...
class | Ogre::ZipArchive
| Specialisation of the Archive class to allow reading of files from a zip format source archive. More...
class | Ogre::ZipArchiveFactory
| Specialisation of ArchiveFactory for Zip files. More...
class | Ogre::ZipDataStream
| Specialisation of DataStream to handle streaming data from zip archives. More...

## Namespaces
| Ogre

## Typedefs
typedef struct zzip_dir | ZZIP_DIR
typedef struct zzip_file | ZZIP_FILE
typedef union _zzip_plugin_io | zzip_plugin_io_handlers

## Typedef Documentation

## ◆ ZZIP_DIR

typedef struct zzip_dir ZZIP_DIR

## ◆ ZZIP_FILE

typedef struct zzip_file ZZIP_FILE

## ◆ zzip_plugin_io_handlers

typedef union _zzip_plugin_io zzip_plugin_io_handlers